export function checkElementOverlap(a: HTMLElement, b: HTMLElement): boolean {
  let rectA = a.getBoundingClientRect();
  let rectB = b.getBoundingClientRect();

  let horizontal =
    rectA.left < rectB.left + rectB.width &&
    rectA.left + rectA.width > rectB.left;
  let vertical =
    rectA.top < rectB.top + rectB.height &&
    rectA.top + rectA.height > rectB.top;

  return horizontal && vertical;
}
